# Method: operations.getOperation

- [HTTP request](https://developers.google.com/optimization/service/reference/rest/v1/operations/getOperation#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/optimization/service/reference/rest/v1/operations/getOperation#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/optimization/service/reference/rest/v1/operations/getOperation#body.request_body)
- [Response body](https://developers.google.com/optimization/service/reference/rest/v1/operations/getOperation#body.response_body)
- [Try it!](https://developers.google.com/optimization/service/reference/rest/v1/operations/getOperation#try-it)

Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.

### HTTP request

`GET https://optimization.googleapis.com/v1/{name=projects/*/operations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/optimization/service/reference/rest/v1/operations#Operation`.